Package: groovy.transform.stc

## [Java] Class IncorrectTypeHintException

- groovy.transform.stc.IncorrectTypeHintException

-     public class IncorrectTypeHintException
      extends SyntaxException

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IncorrectTypeHintException(MethodNode mn, Throwable e, int line, int column)`
    `IncorrectTypeHintException(MethodNode mn, String msg, int line, int column)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`

- - ### Constructor Detail

    - #### public IncorrectTypeHintException(MethodNode mn, Throwable e, int line, int column)

    - #### public IncorrectTypeHintException(MethodNode mn, String msg, int line, int column)